/*
 * EvolpParserTest2.java
 *
 * Copyright (C) 2006 - 2007 Martin Slota
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/*
 * History:
 * v0.1 (2007-03-05): initial version
 * v0.2 (2007-03-05):
 * - new test that reuses data from LpPrettyPrinterTest
 * - docs written
 * v1.0.0 (2007-05-05):
 * - doTest() moved to LpParserTest2 from which we inherit
 */

package lp.parse;

/**
 * Contains a test of the {@link EvolpParser} class that reuses data from
 * {@link lp.struct.util.LpPrettyPrinterTest}.
 *
 * @author Martin Slota
 * @version 1.0.0
 * @see EvolpParser
 * @see lp.struct.util.LpPrettyPrinterTest
 */
public class EvolpParserTest2 extends LpParserTest2 {
	/**
	 * A default test case constructor.
	 *
	 * @param testName the name of the test case
	 */
	public EvolpParserTest2(String testName) {
		super(testName);
		parser = new EvolpParser();
	}
}